const isEmpty = function(obj) {
	if (obj == null) return true;
	if (typeof obj !== 'object') return false;
	return JSON.stringify(obj) === '{}';
};
const status = function(value, state) {
	var status = '未生成'
	if (state == 'SUCCESS') {
		switch (value) {
			case 'NONE':
				status = '未生成'
				break
			case 'PENDING':
				status = '等待'
				break
			case 'GENERATING':
				status = '生成中...'
				break
			case 'SUCCESS':
				status = '生成成功'
				break
			case 'FAILED':
				status = '生成失败'
				break
		}
	} else {
		switch (state) {
			case 'FAILED':
				status = '生成失败'
				break
			case 'GENERATING':
				status = '生成中...'
				break
			case 'NONE':
				status = '未生成'
				break
		}
	}
	return status
};
const orderStatus = function(value) {
	var statusStr = '已完成'
	switch (value) {
		case 'PENDING':
			statusStr = '等待'
			break
		case 'COMPLETE':
			statusStr = '已完成'
			break
		case 'FULL_REFUND':
			statusStr = '全额退款'
			break
		case 'CORRECTION1_REFUND':
			statusStr = '补正1次退款'
			break
		case 'CORRECTION2_REFUND':
			statusStr = '补正2次退款'
			break
	}
	return statusStr
};
const proType = function(value) {
	// PROJ:项目、AGENT:代理、FULL_REFUND:全额退款、CORRECTION1_REFUND:补正1次退款、CORRECTION2_REFUND:补正2次退款
	var str = '项目创建'
	switch (value) {
		case 'PROJ':
			str = '项目创建'
			break
		case 'AGENT':
			str = '代理'
			break
		case 'FULL_REFUND':
			str = "全额退款"
			break
		case 'CORRECTION1_REFUND':
			str = '补正1次退款'
			break
		case 'CORRECTION2_REFUND':
			str = '补正2次退款'
			break
	}
	return str

}
const boderStyle = function(value) {
	var str = 'tickets-yellow' // tickets-gray  tickets-green
	switch (value) {
		case '1': //可用
			str = 'tickets-yellow'
			break
		case '2': //已经使用
			str = 'tickets-gray'
			break
		case '3': //不可用
			str = 'tickets-green'
			break
	}
	return str
}
const fontColor = function(value) {
	var str = 'font-yellow' // tickets-gray  tickets-green
	switch (value) {
		case '1': //可用
			str = 'font-yellow'
			break
		case '2': //已经使用
			str = 'font-gray'
			break
		case '3': //不可用
			str = 'font-green'
			break
	}
	return str
}
const timeSplit = function(value) {
	var regex = new RegExp('-', 'g');
	return value.replace(regex, '.');
}
const objIsEmpty = function(obj) {
	if (obj === undefined) {
		return true;
	}
	if (obj === null) {
		return true;
	}
	return Object.keys(obj).length === 0;
}
var moneyTxt = function(size, fontSize, price) {
	const formattedStr =
		'<span style="font-size:' + size + 'px;">￥</span><span style="font-size:' + fontSize + 'px;">' + price +
		'</span>';
	return formattedStr
}
var phoneNum = function(str, startLength, endLength, replaceStr) {
	if (str == null || str == '') return ''
	if (str.length <= startLength + endLength) {
		return str;
	}
	return str.slice(0, startLength) + replaceStr + str.slice(str.length - endLength);
}

var repairStatusColor = function (status) {
    var color = 'repair-status-yellow'
    switch (status) {
        case 'PENDING':
            color = 'repair-status-yellow'
            break
        case 'APPROVED':
            color = 'repair-status-green'
            break
        case 'REJECTED':
            color = 'repair-status-red'
            break
        case 'CANCELED':
            color = 'repair-status-gray'
            break
    }
    return color
}
var repairStatus = function (status) {
    var str = '待审核'
    switch (status) {
        case 'PENDING':
            str = '待审核'
            break
        case 'APPROVED':
            str = '已通过'
            break
        case 'REJECTED':
            str = '未通过'
            break
        case 'CANCELED':
            str = '已取消'
            break
    }
    return str
}
var repairType = function (type) {
    var str = '未知'
    switch (type) {
        case 'CORRECTION1':
            str = '一次补正'
            break
        case 'CORRECTION2':
            str = '二次补正'
            break
    }
    return str
}
var repairKind = function (kind) {
    var str = '未知'
    switch (kind) {
        case 'CODE':
            str = '代码'
            break
        case 'MANUAL':
            str = '操作手册'
            break
        case 'ALL':
            str = '代码+操作手册'
            break
    }
    return str
}
export {
	isEmpty,
	status,
	orderStatus,
	proType,
	boderStyle,
	fontColor,
	timeSplit,
	objIsEmpty,
	moneyTxt,
	phoneNum,
	repairStatusColor,
	repairKind,
	repairType,
	repairStatus
}